{% extends 'index.html' %}
{% block content %}
    <div class="wrap">
        {% if review %}
            <div class="back-wrap">

                <a href="{% url 'prod-review-create' pk %}" class="button-mull" id="but-back">Add a review </a>
                <a href="{% url 'prod_details' pk %}" class="button-mull" id="but-back" style="margin-left: 15px;">Back
                    to product </a>
            </div>
            <div class="wrapper-rev">
                {% for rev in review %}
                    <div class="content-rev">

                        {% if rev.user.last_name or rev.user.first_name %}
                            <span id="span-name">
                               <i class="fa fa-user"></i> {{ rev.user.last_name }} {{ rev.user.first_name }}
                                {% elif rev.user.username %}
                            <span id="span-name"><i class="fa fa-user"></i> {{ rev.user.username }}</span>
                        {% else %}
                            <span id="span-name"><i class="fa fa-user"></i> Anonymous</span>
                            </span>

                        {% endif %}
                        {% if rev.updated %}
                            <div class="upd-cre">Updated: {{ rev.update }}</div>
                        {% else %}
                            <div class="upd-cre">Posted: {{ rev.date }}</div>
                        {% endif %}
                        <div class="del-things">
                            <span>{% if request.user.is_authenticated %}
                                <a href="{% url 'update-review' rev.pk rev.product.pk %}" style="margin-right: 7px;"><i
                                        class="fa fa-edit"></i></a>
                                <a href="{% url 'delete-review' rev.pk %}"><i class="fa fa-trash"></i></a>
                            {% endif %}
                            </span></div>

                        <hr>
                        <p>Review score <i class="fa fa-mobile"></i></p>  <span id="content-span">
                                    {{ rev.score }}
                                     </span>
                        <div class="text-span">


                            <p> {{ rev.text }} </p>


                        </div>
                        <hr>
                    </div>
                    <div class="paginator">
                    </div>
                {% endfor %}
            </div>
            <div class="paginator-block">
                <ul>

                    {% if review.has_previous %}
                        <a class="inactive-page" href="?page={{ 1 }}" aria-label="Previous">
                            &laquo;
                        </a>
                    {% endif %}
                    {% if review.number|add:'-4' > 1 %}
                        <a class="inactive-page" href="?page={{ review.number|add:'-6' }}">&hellip;</a>
                    {% endif %}
                    {% for n in review.paginator.page_range %}
                        {% if review.number == n %}

                            <a class="active-page">{{ n }}</a>
                        {% elif n > review.number|add:'-5' and n < review.number|add:'5' %}

                            <a class="inactive-page" href="?page={{ n }}">{{ n }}</a>

                        {% endif %}
                    {% endfor %}
                    {% if review.paginator.num_pages > review.number|add:'5' %}
                        <a class="inactive-page" href="?page={{ review.number|add:'6' }}">&hellip;</a>
                    {% endif %}
                    {% if review.has_next %}
                        <a class="inactive-page" href="?page={{ review.paginator.num_pages }}" aria-label="Next">
                            &raquo;
                        </a>
                    {% endif %}

                </ul>
            </div>
        {% else %}
            <div class="no-rev-wrap">
                <span id="last-span2">
                    <a href="{% url 'prod_details' pk %}" class="button-mull" id="but-back">Back to product </a>
                </span>
                <span id="sp232">
                No review. Be the first one who <a href="{% url 'prod-review-create' pk %}"><i>adds a review</i></a>
                </span>
            </div>
        {% endif %}

    </div>
{% endblock %}